﻿<UserControl x:Class="IntroducereDate.WPF.Views.SupplierView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:IntroducereDate.WPF.Views"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <Grid.RowDefinitions>
            <RowDefinition Height="10*" />
            <RowDefinition Height="1*"/>
        </Grid.RowDefinitions>
        <DataGrid x:Name="Suppliers" ItemsSource="{Binding Suppliers}" Grid.Row="0"                  
                  CanUserAddRows="False"                  
                  CanUserDeleteRows="False"
                  AutoGenerateColumns="False"
                  IsReadOnly="True">
            <DataGrid.Columns>
                <DataGridTextColumn Header="Furnizor" Binding="{Binding Path=Name}" Width="1*" />
                <DataGridTextColumn Header="E-mail" Binding="{Binding Path=Email}" Width="1*"/>
                <DataGridTextColumn Header="Telefon" Binding="{Binding Path=PhoneNumber}" Width="1*"/>
                <DataGridTextColumn Header="Adresa sediului social" Binding="{Binding Path=Address}" Width="2*" />
            </DataGrid.Columns>
        </DataGrid>
        <Grid Grid.Row="1" VerticalAlignment="Center">
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="auto"/>
                <ColumnDefinition/>
            </Grid.ColumnDefinitions>
            
        </Grid>
    </Grid>
</UserControl>
